package com.izouma.awesomeadmin.service;

import java.util.*;

import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.CompanyAuthentication;


/**
 * service接口类
 */
public interface CompanyAuthenticationService {

    List<CompanyAuthentication> getCompanyAuthenticationList(CompanyAuthentication record);

    List<CompanyAuthentication> getCompanyAuthenticationByPage(Page page, CompanyAuthentication record);

    CompanyAuthentication getCompanyAuthenticationById(String id);

    CompanyAuthentication getCompanyAuthentication(CompanyAuthentication record);

    boolean createCompanyAuthentication(CompanyAuthentication record);

    boolean deleteCompanyAuthentication(String id);

    boolean updateCompanyAuthentication(CompanyAuthentication record);

    boolean pass(CompanyAuthentication record);

    boolean fail(CompanyAuthentication record);
}

